From 0f0e3166a9fc7dfb12356e9b48cf18d17d71dfff Mon Sep 17 00:00:00 2001
From: Anton Mitrofanov <BugMaster@narod.ru>
Date: Tue, 21 Aug 2018 15:11:21 +0300
Subject: [PATCH] Fix CAVLC+RDO in 4:4:4

---
 encoder/cavlc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/encoder/cavlc.c b/encoder/cavlc.c
index 929ee7db..7ca8b214 100644
--- a/encoder/cavlc.c
+++ b/encoder/cavlc.c
@@ -292,7 +292,7 @@ static ALWAYS_INLINE void cavlc_macroblock_luma_residual( x264_t *h, int plane_c
 #if RDO_SKIP_BS
 static ALWAYS_INLINE void cavlc_partition_luma_residual( x264_t *h, int i8, int p )
 {
-    if( h->mb.b_transform_8x8 && h->mb.cache.non_zero_count[x264_scan8[i8*4]] )
+    if( h->mb.b_transform_8x8 && h->mb.cache.non_zero_count[x264_scan8[i8*4+p*16]] )
         h->zigzagf.interleave_8x8_cavlc( h->dct.luma4x4[i8*4+p*16], h->dct.luma8x8[i8+p*4],
                                          &h->mb.cache.non_zero_count[x264_scan8[i8*4+p*16]] );
 
-- 
2.18.0.windows.1

